tout d'abord, puisque c'est mon premier message je me dois (et je le fais avec un profond respect!) de 
chaleureusement remercier et féliciter vous tous-tes qui avez participé à l'élaboration de ce merveilleux 
programme. J'en reste encore complètement bluffé!!

Mes questions portent d'une part sur la gestion des scans et d'autre part sur l'édition de sujets individualisés.

Sur un dernier projet, j'ai imprimé les sujets en 2 pages/feuille et recto-verso. Après le scan-photocopieur j'ai 
découpé le fichier avec afin d'obtenir un .pdf dans lequel chaque page (avec les 4 disques!) est une page du 
QCM (j'ai testé ici 2 manières de faire : l'une avec le programme Krop et l'autre avec le script donné sur "ce 
fil":https://project.auto-multiple-choice.net/boards/4/topics/5299?r=5301#message-5301). Le problème arrive 
lors du scan AMC : cela ne reconnaît aucune copie car "il" les a remis 2 par 2 comme sur les copies des 
élèves (donc avec 8 disques/feuille)! Je ne comprends pas pourquoi et comment "il" (qui??) arrive à faire cela 
: je donne à scanner un fichier qui, certes a été construit à partir d'un scan multipage mais, est d'apparence 
identique à celui d'un scan page par page et lors de la création des .pbm chaque paire de page ressort 
identique en 2 pages/feuille comme sur le fichier historique!...
Comment est-ce possible?!! Peut être existe-t-il d'autres manips pour pouvoir scanner ce genre de copie ?

Par ailleurs, sur un projet à venir, j'aimerais pouvoir donner un énoncé à chaque élève en déposant sur un 
serveur N énoncés.pdf  avec chaque fichier qui serait verrouillé à l'ouverture par un mot de passe simple 
(genre date de naissance). Mais alors je ne sais pas si cela est possible et si oui à quel moment (en agissant 
sur le .tex ou le .pdf)? 
Je sais bien qu'il existe la possibilité de passer par des adresses mails pour faire ce genre de  diffusion, mais 
je ne souhaitais pas avoir ni créer les mails de mes élèves!

Voilà, en espérant que ce message et ces questions éveilleront quelques idées. De mon côté je me laisse 
une petite semaine de vacances, aussi pour réfléchir au cas où, s'il vaut pas mieux corriger à la main mes 
interros!!..

En vous souhaitant de bien belles fêtes!

History
12/30/2019 09:53 pm - guillaume r.
message non posté au bon endroit, désolé!..

12/31/2019 11:36 am - Alexis Bienvenüe
- Tracker changed from Bug to Support

12/31/2019 11:45 am - Alexis Bienvenüe
> Je ne comprends pas pourquoi et comment "il" (qui??) arrive à faire cela
AMC ne travaille qu'avec des scans au format bitmap (PNG, JPG, etc.). Donc si on lui fournit un scan PDF, sa première action est de le transformer en 
bitmap.
Pour cela, il utilise tout d'abord @pdfimages@ pour voir si ça marche.
Peut-être que le programme que vous avez utilisé pour "découper" vos scans ne découpe pas en réalité les images, mais n'en montre qu'une partie. 
@pdfimages@ ne gère pas cet aspect là, et extrait les images complètes.
Essayez de travailler avec des images bitmap pour les découper et fournir à AMC des images bitmap simples.

En ce qui concerne les mots de passe sur les fichiers PDF, il faut sans doute écrire un petit script qui va faire appel à une commande comme 
@pdftk@.

12/31/2019 11:48 am - Alexis Bienvenüe
- Status changed from New to Closed

- % Done changed from 0 to 100

Ce sera peut-être plus facile de continuer sur le fil message#9294
